Browse Source

updated gecko-mediaplayer

git-svn-id: http://trac.vinelinux.org/repos/projects/specs@1615 ec354946-7b23-47d6-9f5a-488ba84defc7
munepi 14 years ago
parent
commit
1d68b16343

+ 29 - 0
g/gecko-mediaplayer/gecko-mediaplayer-snapshot.sh

@@ -0,0 +1,29 @@
+#!/bin/bash
+
+set -e
+
+tmp=$(mktemp -d)
+
+trap cleanup EXIT
+cleanup() {
+    set +e
+    [ -z "$tmp" -o ! -d "$tmp" ] || rm -rf "$tmp"
+}
+
+unset CDPATH
+pwd=$(pwd)
+
+dirname=gecko-mediaplayer
+
+cd "$tmp"
+svn checkout http://gecko-mediaplayer.googlecode.com/svn/trunk/ $dirname
+cd $dirname
+eval `autoconf configure.in | egrep '^[[:blank:]]*VERSION='`
+REVISION=`LC_ALL=C svn info 2> /dev/null | grep Revision | cut -d' ' -f2`
+find . -type d -name .svn -print0 | xargs -0r rm -rf
+cd ..
+mv $dirname ${dirname}-${VERSION}
+tar jcf "$pwd"/${dirname}-${VERSION}.svn${REVISION}.tar.bz2 ${dirname}-${VERSION}
+cd ${pwd} >/dev/null
+
+exit

+ 13 - 9
g/gecko-mediaplayer/gecko-mediaplayer-vl.spec

@@ -1,16 +1,17 @@
 %define with_my_japo 0
 #% define svnrevision 355
+%define rcversion 1
 
 Name:           gecko-mediaplayer
-Version:        0.9.9.2
-Release:        1%{?svnrevision:.svn%svnrevision}%{?_dist_release}
+Version:        0.9.99
+Release:        1%{?svnrevision:.svn%svnrevision}%{?rcversion:.rc%rcversion}%{?_dist_release}
 Summary:        Gnome MPlayer browser plugin
-Summary(ja):    Gnome MPlayer の Web ブラウザプラグイン
+Summary(ja):    Gnome MPlayer の Web ブラウザプラグイン
 
 Group:          Applications/Multimedia
 License:        GPLv2+
 URL:            http://kdekorte.googlepages.com/gecko-mediaplayer
-Source0:        http://gecko-mediaplayer.googlecode.com/files/%{name}-%{version}%{?svnrevision:.svn%svnrevision}.tar.%{?svnrevision:bz2}%{!?svnrevision:gz}
+Source0:        http://gecko-mediaplayer.googlecode.com/files/%{name}-%{version}%{?svnrevision:.svn%svnrevision}%{?rcversion:.rc%rcversion}.tar.%{?svnrevision:bz2}%{!?svnrevision:gz}
 Source10:       gecko-mediaplayer-snapshot.sh
 
 ## vine
@@ -44,19 +45,19 @@ a browser. It should work with all browsers on Unix-ish systems(Linux, BSD,
 Solaris) and use the NS4 API (Mozilla, Firefox, Opera, etc.).
 
 %description -l ja
-Gecko Media Player は Web ブラウザ上でメディアを再生するために 
-GNOME MPlayer を使う Web ブラウザプラグインです.
-Unix-ish なシステム(Linux, BSD, Solaris)上のすべてのブラウザ
+Gecko Media Player は Web ブラウザ上でメディアを再生するために 
+GNOME MPlayer を使う Web ブラウザプラグインです.
+Unix-ish なシステム(Linux, BSD, Solaris)上のすべてのブラウザで
 動作するはずで,NS4 API(Mozilla, Firefox, Opera など)を使います.
 
 
 %prep
-%setup -q
+%setup -q %{?rcversion:-n %{name}-%{version}.rc%{rcversion}}
 
 %if %{with_my_japo}
 ## vine
 %patch100 -p1 -b .ja
-install -m644 %{SOURCE100} po/ja.po
+%__install -m644 %{SOURCE100} po/ja.po
 autoreconf -f
 %endif
 
@@ -116,6 +117,9 @@ fi
 
 
 %changelog
+* Fri Aug 20 2010 Munehiro Yamamoto <munepi@vinelinux.org> 0.9.99-1.rc1
+- source 0.9.99.rc1
+
 * Thu Mar 04 2010 Munehiro Yamamoto <munepi@vinelinux.org> 0.9.9.2-1
 - new upstream release